## weborf 0.11

=== Makefile ===
# Weborf
# Copyright (C) 2008  Salvo "LtWorf" Tomaselli
# 
# Weborf is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

CC=gcc
#DEFS=-Ddebug
OFLAGS=-O3
#-pedantic -Wextra
CFLAGS=-Wall $(DEFS) $(ARCHFLAGS)  -Wformat
LDFLAGS=-lpthread
#ARCHFLAGS=-m64


MANDIR=/usr/share/man/
BINDIR=/usr/bin/
DAEMONDIR=/etc/init.d/
CONFDIR=/etc/

all: weborf

weborf: listener.o queue.o instance.o mystring.o utils.o base64.o buffered_reader.c
	$(CC) $(LDFLAGS) $(ARCHFLAGS) $(OFLAGS) $+ -o $@

%.c: %.h

debug: listener.o queue.o instance.o mystring.o utils.o base64.o buffered_reader.o
	$(CC) -ggdb3 $(LDFLAGS) $(ARCHFLAGS) $+ -o $@

clean: 
	rm -f *.o weborf debug *.orig *~ *.gz

purge: uninstall
	rm -f $(CONFDIR)/weborf.conf

source: clean style
	cd ..; tar cvzf weborf-`date +\%F | tr -d -`.tar.gz weborf/

style:
	astyle --style=kr *c *h

installdirs:
	install -d $(DESTDIR)/$(BINDIR)/
	install -d $(DESTDIR)/$(MANDIR)/man1
	install -d $(DESTDIR)/$(MANDIR)/man5
	install -d $(DESTDIR)/$(DAEMONDIR)

install: uninstall installdirs
	# Gzip the manpages
	gzip -9 -c weborf.1 > weborf.1.gz
	gzip -9 -c weborf.conf.5 > weborf.conf.5.gz

	# Install everything
	install -m 644 weborf.1.gz $(DESTDIR)/$(MANDIR)/man1/
	install -m 644 weborf.conf.5.gz $(DESTDIR)/$(MANDIR)/man5/
	install -m 755 weborf $(DESTDIR)/$(BINDIR)/
	install -m 755 weborf.daemon $(DESTDIR)/$(DAEMONDIR)/weborf

	if  ! test -e $(DESTDIR)/$(CONFDIR)/weborf.conf; then install -m 644 weborf.conf $(DESTDIR)/$(CONFDIR)/; fi

uninstall:
	rm -f $(DESTDIR)/$(MANDIR)/man5/weborf.conf.5.gz
	rm -f $(DESTDIR)/$(MANDIR)/man1/weborf.1.gz
	rm -f $(DESTDIR)/$(BINDIR)/weborf
	rm -f $(DESTDIR)/$(DAEMONDIR)/weborf

memcheck: debug
	valgrind --track-origins=yes --tool=memcheck --leak-check=yes --leak-resolution=high --show-reachable=yes --num-callers=20 --track-fds=yes ./debug || echo "Valgrind doesn't appear to be installed on this system"

moo:
	echo Questo Makefile ha i poteri della supermucca

## weborf 0.12.3

=== Makefile ===
--- 
+++ 
@@ -16,30 +16,44 @@
 
 CC=gcc
 #DEFS=-Ddebug
-OFLAGS=-O3
+OFLAGS=-O2
 #-pedantic -Wextra
-CFLAGS=-Wall $(DEFS) $(ARCHFLAGS)  -Wformat
+CFLAGS=-Wall $(DEFS) $(ARCHFLAGS)  -Wformat -g
 LDFLAGS=-lpthread
+
+#Opensolaris flags
+#CFLAGS=-D_POSIX_PTHREAD_SEMANTICS  -Wall $(DEFS) $(ARCHFLAGS)  -Wformat
+#LDFLAGS=-lpthread -lsocket -lnsl 
 #ARCHFLAGS=-m64
-
 
 MANDIR=/usr/share/man/
 BINDIR=/usr/bin/
 DAEMONDIR=/etc/init.d/
 CONFDIR=/etc/
+CGIDIR=/usr/lib/cgi-bin/
+#PYDIR=/usr/lib/python$(PYVERSION)/cgi_weborf
 
-all: weborf
+all: weborf cgi
 
-weborf: listener.o queue.o instance.o mystring.o utils.o base64.o buffered_reader.c
+weborf: listener.o queue.o instance.o mystring.o utils.o base64.o buffered_reader.o webdav.o
 	$(CC) $(LDFLAGS) $(ARCHFLAGS) $(OFLAGS) $+ -o $@
+	strip weborf
 
 %.c: %.h
 
-debug: listener.o queue.o instance.o mystring.o utils.o base64.o buffered_reader.o
-	$(CC) -ggdb3 $(LDFLAGS) $(ARCHFLAGS) $+ -o $@
+cgi:
+	cd cgi_wrapper; make
+
+debug: listener.o queue.o instance.o mystring.o utils.o base64.o buffered_reader.o webdav.o
+	$(CC) -g $(LDFLAGS) $(ARCHFLAGS) $+ -o $@
 
 clean: 
 	rm -f *.o weborf debug *.orig *~ *.gz
+	cd cgi_wrapper; make clean
+
+cleanall: clean
+	rm -rf `find | fgrep .svn`
+	rm -rf `find | fgrep ~`
 
 purge: uninstall
 	rm -f $(CONFDIR)/weborf.conf
@@ -48,13 +62,16 @@
 	cd ..; tar cvzf weborf-`date +\%F | tr -d -`.tar.gz weborf/
 
 style:
-	astyle --style=kr *c *h
+	#‑‑align‑pointer=name To use when will really work
+	astyle --indent=spaces=4 -a *c *h       
 
 installdirs:
 	install -d $(DESTDIR)/$(BINDIR)/
 	install -d $(DESTDIR)/$(MANDIR)/man1
 	install -d $(DESTDIR)/$(MANDIR)/man5
 	install -d $(DESTDIR)/$(DAEMONDIR)
+	install -d $(DESTDIR)/$(CGIDIR)
+	#install -d $(DESTDIR)/$(PYDIR)
 
 install: uninstall installdirs
 	# Gzip the manpages
@@ -65,18 +82,30 @@
 	install -m 644 weborf.1.gz $(DESTDIR)/$(MANDIR)/man1/
 	install -m 644 weborf.conf.5.gz $(DESTDIR)/$(MANDIR)/man5/
 	install -m 755 weborf $(DESTDIR)/$(BINDIR)/
+	#install -m 755 cgi_py_weborf.py $(DESTDIR)/$(CGIDIR)/cgi_py_weborf.py
+
+	#cgi
+	install -m 755 cgi_wrapper/weborf_cgi_wrapper $(DESTDIR)/$(CGIDIR)/weborf_cgi_wrapper
+	install -m 755 cgi_wrapper/weborf_py_wrapper $(DESTDIR)/$(CGIDIR)/weborf_py_wrapper
+	#install -m 644 python_cgi_weborf/__init__.py $(DESTDIR)/$(PYDIR)
+	#install -m 644 python_cgi_weborf/cgi.py $(DESTDIR)/$(PYDIR)
+
 	install -m 755 weborf.daemon $(DESTDIR)/$(DAEMONDIR)/weborf
 
-	if  ! test -e $(DESTDIR)/$(CONFDIR)/weborf.conf; then install -m 644 weborf.conf $(DESTDIR)/$(CONFDIR)/; fi
+	install -m 644 weborf.conf $(DESTDIR)/$(CONFDIR)/; fi
 
 uninstall:
 	rm -f $(DESTDIR)/$(MANDIR)/man5/weborf.conf.5.gz
 	rm -f $(DESTDIR)/$(MANDIR)/man1/weborf.1.gz
 	rm -f $(DESTDIR)/$(BINDIR)/weborf
 	rm -f $(DESTDIR)/$(DAEMONDIR)/weborf
+	#rm -f $(DESTDIR)/$(CGIDIR)/py_weborf
+	#rm -f $(DESTDIR)/$(CGIDIR)/weborf_cgi_wrapper
+	#rm -f $(DESTDIR)/$(CGIDIR)/weborf_py_wrapper
+
 
 memcheck: debug
-	valgrind --track-origins=yes --tool=memcheck --leak-check=yes --leak-resolution=high --show-reachable=yes --num-callers=20 --track-fds=yes ./debug || echo "Valgrind doesn't appear to be installed on this system"
+	valgrind -v --track-origins=yes --tool=memcheck --leak-check=yes --leak-resolution=high --show-reachable=yes --num-callers=20 --track-fds=yes ./debug || echo "Valgrind doesn't appear to be installed on this system"
 
 moo:
 	echo Questo Makefile ha i poteri della supermucca

=== debian/changelog ===
weborf (0.12.3-1) unstable; urgency=low

  * New upstream release
  * Fixes directory traversal (Closes: #596112)

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Wed, 08 Sep 2010 22:24:21 +0200

weborf (0.12.2-1) unstable; urgency=low

  * New upstream release 

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Tue, 22 Jun 2010 16:33:22 +0200

weborf (0.12.1-1) unstable; urgency=low

  * New upstream release 

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Thu, 03 Jun 2010 23:48:40 +0200

weborf (0.12-2) unstable; urgency=low

  * Using quilt
  * Fixed error in Makefile that prevented building
  * Fixed date error in debian changelog

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Sat, 29 May 2010 18:30:22 +0200

weborf (0.12-1) unstable; urgency=low

  * Corrected spelling mistake in manpage (Closes: #549652)
  * Builds weborf-daemon package
  * New upstream release
  * Added explicit format 1.0

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Thu, 27 May 2010 22:10:22 +0200

weborf (0.11-2) unstable; urgency=low

  * Corrected name of upstream author Salvo Rinaldi in the copyright file.
  * Added name of upstream author Salvo Rinaldi in the manpages.
  * Edited description of the package 

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Sat, 26 Sep 2009 18:46:22 +0200

weborf (0.11-1) unstable; urgency=low

  * Initial release (Closes: #506771)

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Tue, 22 Sep 2009 15:13:55 +0200

=== debian/control ===
Source: weborf
Section: httpd
Priority: optional
Maintainer: Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>
Build-Depends: debhelper (>= 7.0.50~)
Standards-Version: 3.8.4
Homepage: http://galileo.dmi.unict.it/wiki/weborf/


Package: weborf
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: php5-cgi (>= 5.2.11.dfsg.1)
Description: Fast and small webserver meant to be run without root privileges
 Weborf is a configurationless webeserver mainly meant to allow users to
 easily share their directories over the web.
 Has limited support to webdav, allowing its use by GNOME and KDE filemanagers.
 It also supports cgi.


Package: weborf-daemon
Architecture: all
Depends: ${misc:Depends}, weborf (>=0.12)
Description: init script for weborf
 Weborf is a configurationless webserver mainly meant to allow users to
 easily share their directories over the web.
 Has limited support to webdav, allowing its use by GNOME and KDE filemanagers.
 It also supports cgi.
 .
 This package provides a SystemV daemon to start weborf using init.

## weborf 0.12.5

=== Makefile ===
--- 
+++ 
@@ -92,7 +92,7 @@
 
 	install -m 755 weborf.daemon $(DESTDIR)/$(DAEMONDIR)/weborf
 
-	install -m 644 weborf.conf $(DESTDIR)/$(CONFDIR)/; fi
+	install -m 644 weborf.conf $(DESTDIR)/$(CONFDIR)/weborf.conf
 
 uninstall:
 	rm -f $(DESTDIR)/$(MANDIR)/man5/weborf.conf.5.gz

=== cgi_wrapper/Makefile ===
# Weborf
# Copyright (C) 2009  Salvo "LtWorf" Tomaselli
# 
# Weborf is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

CC=gcc
#DEFS=-Ddebug
#OFLAGS=-O3
#-pedantic -Wextra
CFLAGS=-Wall $(DEFS) $(ARCHFLAGS)  -Wformat
#LDFLAGS=-lpthread
#ARCHFLAGS=-m64

all: weborf_cgi_wrapper weborf_py_wrapper

weborf_cgi_wrapper: wrapper.c
	$(CC) $(LDFLAGS) $(ARCHFLAGS) $(OFLAGS) $+ -o $@

weborf_py_wrapper: py_wrapper.c
	$(CC) $(LDFLAGS) $(ARCHFLAGS) $(OFLAGS) $+ -o $@

%.c: %.h

clean: 
	rm -f *.o *.orig *~ *.gz weborf_cgi_wrapper  weborf_py_wrapper

style:
	astyle --style=kr *c *h

=== debian/changelog ===
weborf (0.12.5-1ubuntu1) natty; urgency=low

  * Merge from debian unstable. Remaining change:
    - debian/patches/fix-as-needed-linking:
      + Fix linking with ld --as-needed (use LIBS instead of LDFLAGS for the
        libraries).

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sun, 30 Jan 2011 12:23:41 +0530

weborf (0.12.5-1) unstable; urgency=high

  * New upstream release
  * Fixes DoS

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Fri, 28 Jan 2011 11:18:01 +0100

weborf (0.12.4-1ubuntu1) natty; urgency=low

  * debian/patches/fix-as-needed-linking:
    Fix linking with ld --as-needed (use LIBS instead of LDFLAGS for the
    libraries).

 -- Michael Bienia <geser@ubuntu.com>  Mon, 06 Dec 2010 11:12:36 +0100

weborf (0.12.4-1) unstable; urgency=high

  * New upstream release 
  * Fixes DoS (Closes: #601585)

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Wed, 27 Oct 2010 16:01:35 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: weborf
 Section: httpd
 Priority: optional
-Maintainer: Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>
 Build-Depends: debhelper (>= 7.0.50~)
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Homepage: http://galileo.dmi.unict.it/wiki/weborf/

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh  $@

override_dh_installinit:
	dh_installinit -pweborf-daemon --onlyscripts --init-script=weborf

## weborf 0.13

=== debian/changelog ===
weborf (0.13-3) unstable; urgency=low

  * Fixed typo in the description (Closes: #677083)
  * Correctly handles IPv4 clients in log files when started by
    xinetd (Closes: #601253)
  * Updated Standards-Version
  * Build-depends on hardening-wrapper

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Thu, 21 Jun 2012 17:35:43 +0200

weborf (0.13-2) unstable; urgency=low

  * Backport fix from upstream: qweborf doesn't crash when miredo is in use

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Mon, 19 Dec 2011 10:54:07 +0100

weborf (0.13-1) unstable; urgency=low

  * New upstream release
  * Adds qweborf package, GUI for sharing files with HTTP
  * Uses GNU autotools (Closes: #611528)
  * Adds libmagic-dev in build-deps
  * Added more examples

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Sat, 26 Mar 2011 14:44:31 +0100

=== debian/control ===
Source: weborf
Section: httpd
Priority: optional
Maintainer: Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>
Build-Depends: debhelper (>= 7.0.50~), libmagic-dev (>=5.04~), python, python-support, pyqt4-dev-tools, hardening-wrapper
Standards-Version: 3.9.3
Homepage: http://galileo.dmi.unict.it/wiki/weborf/


Package: weborf
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: php5-cgi (>= 5.2.11.dfsg.1)
Description: Fast and small webserver meant to be run without root privileges
 Weborf is a configurationless webserver mainly meant to allow users to
 easily share their directories over the web.
 Has limited support to webdav, allowing its use by GNOME and KDE filemanagers.
 It also supports cgi.


Package: weborf-daemon
Architecture: all
Depends: ${misc:Depends}, weborf (>=0.13)
Description: init script for weborf
 Weborf is a configurationless webserver mainly meant to allow users to
 easily share their directories over the web.
 Has limited support to webdav, allowing its use by GNOME and KDE filemanagers.
 It also supports cgi.
 .
 This package provides a SystemV daemon to start weborf using init.

Package: qweborf
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, weborf (>=0.12), python-qt4 (>=4.7.3)
Description: Shares files using the HTTP protocol
 Qweborf provides an easy to use graphical interface to share local files using
 the HTTP protocol.
 It can enable writing on the server, webdav, authentication and sending
 directories as tar.gz.

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,9 @@
 # As a special exception, when this file is copied by dh-make into a
 # dh-make output file, you may use that output file without restriction.
 # This special exception was added by Craig Small in version 0.37 of dh-make.
+
+export DEB_BUILD_HARDENING=1
+SHELL=sh -e
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
@@ -14,3 +17,13 @@
 
 override_dh_installinit:
 	dh_installinit -pweborf-daemon --onlyscripts --init-script=weborf
+
+override_dh_auto_install:
+	pyuic4 qweborf/main.ui > qweborf/main.py
+	python qweborf.setup.py install --root=$(CURDIR)/debian/qweborf
+	dh_auto_install
+
+override_dh_install:
+	install -D qweborf/qweborf debian/qweborf/usr/bin/qweborf
+	dh_install
+

=== debian/watch ===
version=3
opts=filenamemangle=s/.*:// http://galileo.dmi.unict.it/wiki/weborf/doku.php?id=download /wiki/[^:]*:weborf_(\d+.*)\.tar\.gz

## weborf 0.13.3

=== debian/changelog ===
weborf (0.13.3-1) unstable; urgency=low

  * New upstream release
  * Bumped Standards-Version to 3.9.7
  * Added upstream's public key for verification

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Wed, 16 Mar 2016 13:45:15 +0100

weborf (0.13.2-1) unstable; urgency=medium

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Tue, 09 Feb 2016 16:13:52 +0100

weborf (0.13.1-2) unstable; urgency=medium

  * Don't hard-code the python version. (Closes: #802857)
  * Remove version from depends in stable
  * Copyright file in dep 5 (Closes: #802489)
  * Use all hardening flags

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Sun, 25 Oct 2015 13:36:21 +0100

weborf (0.13.1-1) unstable; urgency=low

  * New upstream release
  * Recommends miniupnpc for NAT traversal
  * Typo fixed upstream (Closes: #773655)
  * Removed patch "miredo" (Now upstream)
  * Removed patch "mapped_addr" (Now upstream)
  * qweborf now uses Python3 and PyQt5
  * Drop python-support (Closes: #786147)
  * Bumped Standards-Version to 3.9.6
  * Bumped debhelper to 9
  * Change links to new upstream website

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Thu, 15 Oct 2015 08:43:41 +0200

=== debian/control ===
Source: weborf
Section: httpd
Priority: optional
Maintainer: Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>
Build-Depends: debhelper (>= 9), libmagic-dev, python3, dh-python, pyqt5-dev-tools
Standards-Version: 3.9.7
X-Python3-Version: >= 3.4
Homepage: http://ltworf.github.io/weborf/

Package: weborf
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: php5-cgi
Description: Fast and small webserver meant to be run without root privileges
 Weborf is a configurationless webeserver mainly meant to allow users to
 easily share their directories over the web.
 Has limited support to webdav, allowing its use by GNOME and KDE filemanagers.
 It also supports cgi.

Package: weborf-daemon
Architecture: all
Depends: ${misc:Depends}, weborf (>=${binary:Version})
Description: init script for weborf
 Weborf is a configurationless webeserver mainly meant to allow users to
 easily share their directories over the web.
 Has limited support to webdav, allowing its use by GNOME and KDE filemanagers.
 It also supports cgi.
 .
 This package provides a SystemV daemon to start weborf using init.

Package: qweborf
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, weborf (>=${binary:Version}), python3-pyqt5
Recommends: miniupnpc
Description: Shares files using the HTTP protocol
 Qweborf provides an easy to use graphical interface to share local files using
 the HTTP protocol.
 It can enable writing on the server, webdav, authentication and sending
 directories as tar.gz.
 It can try to work across NAT.

## weborf 0.13.4

=== debian/changelog ===
weborf (0.13.4-3) unstable; urgency=low

  * Make weborf-daemon depend on lsb-base

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Thu, 03 Nov 2016 22:50:29 +0100

weborf (0.13.4-2) unstable; urgency=low

  * Fix segmentation fault when opening extremely large directories

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Sun, 25 Sep 2016 17:04:34 +0200

weborf (0.13.4-1) unstable; urgency=low

  * New upstream release
  * Bumped Standards-Version to 3.9.8
  * Removed decorator patch, now upstream

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Mon, 05 Sep 2016 21:46:49 +0200

weborf (0.13.3-2) unstable; urgency=medium

  * Remove decorators to workaround a bug in PyQt

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Mon, 29 Aug 2016 22:53:03 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>
 Build-Depends: debhelper (>= 9), libmagic-dev, python3, dh-python, pyqt5-dev-tools
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 X-Python3-Version: >= 3.4
 Homepage: http://ltworf.github.io/weborf/
 
@@ -19,7 +19,7 @@
 
 Package: weborf-daemon
 Architecture: all
-Depends: ${misc:Depends}, weborf (>=${binary:Version})
+Depends: ${misc:Depends}, weborf (>=${binary:Version}),  lsb-base (>= 3.0-6)
 Description: init script for weborf
  Weborf is a configurationless webeserver mainly meant to allow users to
  easily share their directories over the web.

## weborf 0.13.5

=== debian/changelog ===
weborf (0.13.5-1) unstable; urgency=low

  * New upstream release (Closes: #868181, #868182)
  * Remove patches from 0.13.4-2

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Sat, 11 Feb 2017 12:14:51 +0100

## weborf 0.14

=== debian/changelog ===
weborf (0.14-1) unstable; urgency=low

  * New upstream release
  * Suggest php-cgi instead of the non existing php5-cgi

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Tue, 19 Dec 2017 00:30:14 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Package: weborf
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Suggests: php5-cgi
+Suggests: php-cgi
 Description: Fast and small webserver meant to be run without root privileges
  Weborf is a configurationless webeserver mainly meant to allow users to
  easily share their directories over the web.

=== debian/rules ===
#!/usr/bin/make -f

SHELL=sh -e

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
# DPKG_EXPORT_BUILDFLAGS = 1
# include /usr/share/dpkg/buildflags.mk

export DH_VERBOSE=1

%:
	dh $@ --with python3

override_dh_installinit:
	dh_installinit -pweborf-daemon --onlyscripts --init-script=weborf

override_dh_auto_install:
	pyuic5 qweborf/main.ui > qweborf/main.py
	python3 qweborf.setup.py install --root=debian/qweborf --install-layout=deb 
	install -D qweborf/qweborf debian/qweborf/usr/bin/qweborf
	dh_auto_install

## weborf 0.15

=== debian/changelog ===
weborf (0.15-1) unstable; urgency=medium

  * New upstream release
  * Add libssl-dev to build depends to enable https
  * Add lintian override for possible-gpl-code-linked-with-openssl, since
    exception is provided in the license.
  * Bump python-version-field to 3.6
  * Bump Standards-Version to 4.2.1
  * Removed joke from qweborf (Closes: #892208)

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Sun, 09 Dec 2018 06:26:46 +0100

weborf (0.14-2) unstable; urgency=high

  * Build-Depend on python3-distutils (Closes: #896795)
  * Fix typo in description
  * Remove trailing spaces in changelog and rules
  * Updated debian/copyright file
  * Bump compat from 9 to 11
  * Bump Standards-Version to 4.1.4
  * Clean the python install directory
  * Clean generated GUI python file

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Tue, 24 Apr 2018 22:12:59 +0200

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,10 @@
 Section: httpd
 Priority: optional
 Maintainer: Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>
-Build-Depends: debhelper (>= 9), libmagic-dev, python3, dh-python, pyqt5-dev-tools
-Standards-Version: 3.9.8
-X-Python3-Version: >= 3.4
+Build-Depends: debhelper (>= 11), libmagic-dev, python3, dh-python, pyqt5-dev-tools,
+ python3-distutils, libssl-dev
+Standards-Version: 4.2.1
+X-Python3-Version: >= 3.6
 Homepage: http://ltworf.github.io/weborf/
 
 Package: weborf
@@ -12,7 +13,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: php-cgi
 Description: Fast and small webserver meant to be run without root privileges
- Weborf is a configurationless webeserver mainly meant to allow users to
+ Weborf is a configurationless webserver mainly meant to allow users to
  easily share their directories over the web.
  Has limited support to webdav, allowing its use by GNOME and KDE filemanagers.
  It also supports cgi.
@@ -21,7 +22,7 @@
 Architecture: all
 Depends: ${misc:Depends}, weborf (>=${binary:Version}),  lsb-base (>= 3.0-6)
 Description: init script for weborf
- Weborf is a configurationless webeserver mainly meant to allow users to
+ Weborf is a configurationless webserver mainly meant to allow users to
  easily share their directories over the web.
  Has limited support to webdav, allowing its use by GNOME and KDE filemanagers.
  It also supports cgi.

=== debian/rules ===
--- 
+++ 
@@ -16,6 +16,11 @@
 
 override_dh_auto_install:
 	pyuic5 qweborf/main.ui > qweborf/main.py
-	python3 qweborf.setup.py install --root=debian/qweborf --install-layout=deb 
+	python3 qweborf.setup.py install --root=debian/qweborf --install-layout=deb
 	install -D qweborf/qweborf debian/qweborf/usr/bin/qweborf
 	dh_auto_install
+
+override_dh_auto_clean:
+	rm -rf build
+	rm -f qweborf/main.py
+	dh_auto_clean

## weborf 0.16

=== qweborf/Makefile ===
# Weborf
# Copyright (C) 2019  Salvo "LtWorf" Tomaselli
#
# Weborf is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# author Salvo "LtWorf" Tomaselli <tiposchi@tiscali.it>

qweborf/main.py: qweborf/main.ui
	pyuic5 qweborf/main.ui > qweborf/main.py

.PHONY: clean
clean:
	$(RM) qweborf/main.py
	$(RM) -r build/

.PHONY: install
install: qweborf/main.py
	python3 setup.py install --root=$${DESTDIR:-/} --install-layout=deb
	install -D qweborf/qweborf $${DESTDIR:-/}/bin/qweborf
	install -D -m644 man/qweborf.1 $${DESTDIR:-/}/usr/share/man/man1/qweborf.1
	install -D -m644 integration/qweborf.desktop $${DESTDIR:-/}/usr/share/applications/qweborf.desktop
	install -D -m644 integration/qweborf_servicemenu.desktop $${DESTDIR:-/}/usr/share/kservices5/ServiceMenus/qweborf_servicemenu.desktop

=== debian/changelog ===
weborf (0.16-1) unstable; urgency=medium

  * New upstream release
  * Bump compat to 12
  * Remove compat file
  * Pre-Depends in weborf-daemon
  * Rules-Requires-Root: no
  * Bump Standards-Version to 4.4.1

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Sun, 10 Nov 2019 13:49:18 +0100

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,11 @@
 Section: httpd
 Priority: optional
 Maintainer: Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>
-Build-Depends: debhelper (>= 11), libmagic-dev, python3, dh-python, pyqt5-dev-tools,
+Build-Depends: debhelper-compat (= 12), debhelper (>= 12), libmagic-dev, python3, dh-python, pyqt5-dev-tools,
  python3-distutils, libssl-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.4.1
 X-Python3-Version: >= 3.6
+Rules-Requires-Root: no
 Homepage: http://ltworf.github.io/weborf/
 
 Package: weborf
@@ -20,6 +21,7 @@
 
 Package: weborf-daemon
 Architecture: all
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, weborf (>=${binary:Version}),  lsb-base (>= 3.0-6)
 Description: init script for weborf
  Weborf is a configurationless webserver mainly meant to allow users to

=== debian/watch ===
version=3

opts="pgpsigurlmangle=s/$/.asc/" \
https://github.com/ltworf/weborf/releases \
/download/(?:\d[\d.]*)/@PACKAGE@_(\d[\d.]*)(?:\.orig)?@ARCHIVE_EXT@

## weborf 0.17

=== qweborf/Makefile ===
--- 
+++ 
@@ -23,6 +23,7 @@
 clean:
 	$(RM) qweborf/main.py
 	$(RM) -r build/
+	$(RM) -r .mypy_cache/
 
 .PHONY: install
 install: qweborf/main.py
@@ -31,3 +32,7 @@
 	install -D -m644 man/qweborf.1 $${DESTDIR:-/}/usr/share/man/man1/qweborf.1
 	install -D -m644 integration/qweborf.desktop $${DESTDIR:-/}/usr/share/applications/qweborf.desktop
 	install -D -m644 integration/qweborf_servicemenu.desktop $${DESTDIR:-/}/usr/share/kservices5/ServiceMenus/qweborf_servicemenu.desktop
+
+.PHONY: mypy
+mypy:
+	mypy --config-file mypy.conf qweborf

=== debian/changelog ===
weborf (0.17-4build1) jammy; urgency=medium

  * No-change rebuild against libssl3

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 09 Dec 2021 00:22:43 +0000

weborf (0.17-4) unstable; urgency=low

  * Fix d/watch

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Fri, 29 Oct 2021 17:01:04 +0200

weborf (0.17-3) unstable; urgency=medium

  * Disable most of the test suite (flaky on debian builders)

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Thu, 31 Dec 2020 15:13:19 +0100

weborf (0.17-2) unstable; urgency=medium

  * Added sleep to test that flaked on s390

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Thu, 31 Dec 2020 12:55:04 +0100

weborf (0.17-1) unstable; urgency=low

  * build-depend on curl to run new test suite
  * New upstream release (LP: #1875194)

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Tue, 29 Dec 2020 19:41:28 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: weborf
 Section: httpd
 Priority: optional
-Maintainer: Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>
 Build-Depends: debhelper-compat (= 12), debhelper (>= 12), libmagic-dev, python3, dh-python, pyqt5-dev-tools,
- python3-distutils, libssl-dev
+ python3-distutils, libssl-dev, curl
 Standards-Version: 4.4.1
 X-Python3-Version: >= 3.6
 Rules-Requires-Root: no
-Homepage: http://ltworf.github.io/weborf/
+Homepage: https://ltworf.github.io/weborf/
 
 Package: weborf
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

SHELL=sh -e

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
# DPKG_EXPORT_BUILDFLAGS = 1
# include /usr/share/dpkg/buildflags.mk

export DH_VERBOSE=1

%:
	dh $@ --with python3

override_dh_installinit:
	dh_installinit -pweborf-daemon --onlyscripts --init-script=weborf

override_dh_auto_install:
	make -C qweborf install DESTDIR=../debian/qweborf
	dh_auto_install

override_dh_auto_clean:
	make -C qweborf clean
	dh_auto_clean

=== debian/watch ===
version=4

opts=pgpmode=auto \
https://github.com/ltworf/weborf/tags (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## weborf 0.19

=== debian/changelog ===
weborf (0.19-2.1+deb12u1) bookworm; urgency=medium

  * Backport patch from upstream to fix denial of service (Closes: 1054417)

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Thu, 30 Nov 2023 10:58:16 +0100

weborf (0.19-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to rebuild with debhelper 13.10.

 -- Michael Biebl <biebl@debian.org>  Sat, 15 Oct 2022 12:57:06 +0200

weborf (0.19-2) unstable; urgency=high

  * Install weborf in autopkgtest, to test weborf

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Tue, 15 Mar 2022 09:08:11 +0100

weborf (0.19-1) unstable; urgency=medium

  * New upstream release
  * Add autopkgtest suite.
    Calls the regular test suite but using the system
    installed version.

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Mon, 14 Mar 2022 23:36:58 +0100

weborf (0.18-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version: 4.6.0.1
  * Bump compat to 13

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Sun, 06 Mar 2022 13:31:12 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: weborf
 Section: httpd
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>
-Build-Depends: debhelper-compat (= 12), debhelper (>= 12), libmagic-dev, python3, dh-python, pyqt5-dev-tools,
+Maintainer: Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>
+Build-Depends: debhelper-compat (= 13), debhelper (>= 13), libmagic-dev, python3, dh-python, pyqt5-dev-tools,
  python3-distutils, libssl-dev, curl
-Standards-Version: 4.4.1
+Standards-Version: 4.6.0.1
 X-Python3-Version: >= 3.6
 Rules-Requires-Root: no
 Homepage: https://ltworf.github.io/weborf/

=== debian/tests/control ===
Test-Command: testsuite/version_and_help
Restrictions: allow-stderr superficial
Depends: weborf

Test-Command: testsuite/site1http
Restrictions: allow-stderr
Depends: curl, weborf

Test-Command: testsuite/site1https
Restrictions: allow-stderr
Depends: curl, weborf

Test-Command: testsuite/ip_listener
Restrictions: allow-stderr
Depends: curl, weborf

Test-Command: testsuite/etag
Restrictions: allow-stderr
Depends: curl, weborf

Test-Command: testsuite/index_file
Restrictions: allow-stderr
Depends: curl, weborf

Test-Command: testsuite/range
Restrictions: allow-stderr
Depends: curl, weborf

Test-Command: testsuite/cgi
Restrictions: allow-stderr
Depends: curl, weborf

Test-Command: testsuite/cachedir
Restrictions: allow-stderr rw-build-tree
Depends: curl, weborf

Test-Command: testsuite/site1mimetype
Restrictions: allow-stderr
Depends: curl, weborf

## weborf 1.0

=== qweborf/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Weborf
-# Copyright (C) 2019  Salvo "LtWorf" Tomaselli
+# Copyright (C) 2019-2022  Salvo "LtWorf" Tomaselli
 #
 # Weborf is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -32,6 +32,8 @@
 	install -D -m644 man/qweborf.1 $${DESTDIR:-/}/usr/share/man/man1/qweborf.1
 	install -D -m644 integration/qweborf.desktop $${DESTDIR:-/}/usr/share/applications/qweborf.desktop
 	install -D -m644 integration/qweborf_servicemenu.desktop $${DESTDIR:-/}/usr/share/kservices5/ServiceMenus/qweborf_servicemenu.desktop
+	install -D -m644 integration/qweborf.png $${DESTDIR:-/}/usr/share/icons/hicolor/256x256/apps/qweborf.png
+	install -D -m644 integration/qweborf.metainfo.xml $${DESTDIR:-/}/usr/share/metainfo/qweborf.metainfo.xml
 
 .PHONY: mypy
 mypy:

=== debian/changelog ===
weborf (1.0-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:32:59 +1100

weborf (1.0-1build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 05 Mar 2024 02:12:50 +0000

weborf (1.0-1) unstable; urgency=high

  * New upstream release, fixing CVE-2023-46586

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Thu, 12 Oct 2023 00:12:44 +0200

weborf (0.20-1) unstable; urgency=low

  * New upstream release
  * Remove X-Python3-Version: >= 3.6 from control file
  * Added metadata file
  * Use setuptools since python intelligently dropped distutil
  * Bump Standards-Version: 4.6.2
  * Remove dependency on outdated lsb-base for weborf-daemon
  * Clean python egg to allow rebuild in place

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Wed, 04 Oct 2023 18:37:46 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: weborf
 Section: httpd
 Priority: optional
-Maintainer: Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>
 Build-Depends: debhelper-compat (= 13), debhelper (>= 13), libmagic-dev, python3, dh-python, pyqt5-dev-tools,
- python3-distutils, libssl-dev, curl
-Standards-Version: 4.6.0.1
-X-Python3-Version: >= 3.6
+ python3-setuptools, libssl-dev, curl
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://ltworf.github.io/weborf/
 
@@ -22,7 +22,7 @@
 Package: weborf-daemon
 Architecture: all
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, weborf (>=${binary:Version}),  lsb-base (>= 3.0-6)
+Depends: ${misc:Depends}, weborf (>=${binary:Version})
 Description: init script for weborf
  Weborf is a configurationless webserver mainly meant to allow users to
  easily share their directories over the web.

=== debian/tests/control ===
--- 
+++ 
@@ -11,6 +11,10 @@
 Depends: curl, weborf
 
 Test-Command: testsuite/ip_listener
+Restrictions: allow-stderr
+Depends: curl, weborf
+
+Test-Command: testsuite/vhost
 Restrictions: allow-stderr
 Depends: curl, weborf

## weborf 1.3

=== qweborf/Makefile ===
--- 
+++ 
@@ -28,7 +28,7 @@
 .PHONY: install
 install: qweborf/main.py
 	python3 setup.py install --root=$${DESTDIR:-/} --install-layout=deb
-	install -D qweborf/qweborf $${DESTDIR:-/}/bin/qweborf
+	install -D qweborf/qweborf $${DESTDIR:-/}/usr/bin/qweborf
 	install -D -m644 man/qweborf.1 $${DESTDIR:-/}/usr/share/man/man1/qweborf.1
 	install -D -m644 integration/qweborf.desktop $${DESTDIR:-/}/usr/share/applications/qweborf.desktop
 	install -D -m644 integration/qweborf_servicemenu.desktop $${DESTDIR:-/}/usr/share/kservices5/ServiceMenus/qweborf_servicemenu.desktop

=== debian/changelog ===
weborf (1.3-1) unstable; urgency=low

  * New upstream release (Closes: #1073660)

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Tue, 09 Jul 2024 15:39:30 +0200

weborf (1.2-1) unstable; urgency=low

  * New upstream release (Closes: #1073660)

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Wed, 19 Jun 2024 07:28:53 +0200

weborf (1.1-1) unstable; urgency=low

  * New upstream release
  * Project moved to codeberg
  * Replace email with the debian one
  * Add Vcs-* fields to d/control

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Thu, 09 May 2024 10:53:11 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: weborf
 Section: httpd
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>
+Maintainer: Salvo 'LtWorf' Tomaselli <ltworf@debian.org>
 Build-Depends: debhelper-compat (= 13), debhelper (>= 13), libmagic-dev, python3, dh-python, pyqt5-dev-tools,
  python3-setuptools, libssl-dev, curl
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
-Homepage: https://ltworf.github.io/weborf/
+Homepage: https://ltworf.codeberg.page/weborf/
+Vcs-Browser: https://codeberg.org/ltworf/weborf
+Vcs-Git: https://codeberg.org/ltworf/weborf.git
 
 Package: weborf
 Architecture: any

## weborf 1.4

=== debian/changelog ===
weborf (1.4-1) unstable; urgency=low

  * New upstream release
  * Use pyqt6 instead of pyqt5

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sun, 21 Jul 2024 22:36:54 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: httpd
 Priority: optional
 Maintainer: Salvo 'LtWorf' Tomaselli <ltworf@debian.org>
-Build-Depends: debhelper-compat (= 13), debhelper (>= 13), libmagic-dev, python3, dh-python, pyqt5-dev-tools,
+Build-Depends: debhelper-compat (= 13), debhelper (>= 13), libmagic-dev, python3, dh-python, pyqt6-dev-tools,
  python3-setuptools, libssl-dev, curl
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
@@ -34,7 +34,7 @@
 
 Package: qweborf
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}, weborf (>=${binary:Version}), python3-pyqt5
+Depends: ${misc:Depends}, ${python3:Depends}, weborf (>=${binary:Version}), python3-pyqt6
 Recommends: miniupnpc
 Description: Shares files using the HTTP protocol
  Qweborf provides an easy to use graphical interface to share local files using

## weborf 1.5

=== qweborf/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Weborf
-# Copyright (C) 2019-2022  Salvo "LtWorf" Tomaselli
+# Copyright (C) 2019-2024  Salvo "LtWorf" Tomaselli
 #
 # Weborf is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -17,7 +17,7 @@
 # author Salvo "LtWorf" Tomaselli <tiposchi@tiscali.it>
 
 qweborf/main.py: qweborf/main.ui
-	pyuic5 qweborf/main.ui > qweborf/main.py
+	pyuic6 qweborf/main.ui > qweborf/main.py
 
 .PHONY: clean
 clean:

=== debian/changelog ===
weborf (1.5-1) unstable; urgency=low

  * Bump standards version
  * Remove unused lintian override
  * New upstream release (Closes: #1098088)

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Tue, 18 Feb 2025 22:26:41 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Salvo 'LtWorf' Tomaselli <ltworf@debian.org>
 Build-Depends: debhelper-compat (= 13), debhelper (>= 13), libmagic-dev, python3, dh-python, pyqt6-dev-tools,
  python3-setuptools, libssl-dev, curl
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://ltworf.codeberg.page/weborf/
 Vcs-Browser: https://codeberg.org/ltworf/weborf

=== debian/watch ===
version=4

opts=pgpmode=auto \
https://codeberg.org/ltworf/weborf/tags (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## weborf 1.6

=== debian/changelog ===
weborf (1.6-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version: 4.7.2
  * Remove Rules-Requires-Root
  * Remove unused lintian override

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Wed, 19 Nov 2025 08:55:38 +0100

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,7 @@
 Maintainer: Salvo 'LtWorf' Tomaselli <ltworf@debian.org>
 Build-Depends: debhelper-compat (= 13), debhelper (>= 13), libmagic-dev, python3, dh-python, pyqt6-dev-tools,
  python3-setuptools, libssl-dev, curl
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Homepage: https://ltworf.codeberg.page/weborf/
 Vcs-Browser: https://codeberg.org/ltworf/weborf
 Vcs-Git: https://codeberg.org/ltworf/weborf.git

=== debian/tests/control ===
--- 
+++ 
@@ -41,3 +41,15 @@
 Test-Command: testsuite/site1mimetype
 Restrictions: allow-stderr
 Depends: curl, weborf
+
+Test-Command: testsuite/tar
+Restrictions: allow-stderr
+Depends: curl, weborf
+
+Test-Command: testsuite/no_propfind
+Restrictions: allow-stderr
+Depends: curl, weborf
+
+Test-Command: testsuite/propfind
+Restrictions: allow-stderr
+Depends: curl, weborf
